
%bcond_with	options_is_ping # make sipp treat OPTIONS same as PING
				# changes sipp behaviour, but that is
				# what everybody use for 'pinging'

Summary:	SIPp - a performance testing tool for the SIP protocol
Name:		sipp
Version:	3.3
Release:	1
License:	GPL v2+ except two files under BSD
Group:		Applications
Source0:	http://download.sourceforge.net/sipp/%{name}-%{version}.tar.xz
# Source0-md5:	f0c4f472fa86de8a528cb91616323617
Patch0:		%{name}-headers.patch
Patch1:		%{name}-sprintf.patch
Patch2:		%{name}-stats_crash.patch
Patch3:		%{name}-OPTIONS_is_ping.patch
URL:		http://sipp.sourceforge.net/
BuildRequires:	libpcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SIPp is a performance testing tool for the SIP protocol. It includes a
few basic SipStone user agent scenarios (UAC and UAS) and establishes
and releases multiple calls with the INVITE and BYE methods. It can
also reads XML scenario files describing any performance testing
configuration. It features the dynamic display of statistics about
running tests (call rate, round trip delay, and message statistics),
periodic CSV statistics dumps, TCP and UDP over multiple sockets or
multiplexed with retransmission management, regular expressions and
variables in scenario files, and dynamically adjustable call rates.

SIPp can be used to test many real SIP equipements like SIP proxies,
B2BUAs, SIP media servers, SIP/x gateways, SIP PBX, ... It is also
very useful to emulate thousands of user agents calling your SIP
system.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?with_options_is_ping:%patch3 -p1}

%build

%{__make} pcapplay_ossl \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CCLINK="%{__cxx}" \
	EXTRACFLAGS="%{rpmcflags}" \
	EXTRACPPFLAGS="%{rpmcxxflags}" \
	EXTRALFLAGS="%{rpmldflags}" \
	INCDIR="-I. -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install sipp $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt MEDIA.txt README.txt pcap tools
%attr(755,root,root) %{_bindir}/*
%changelog
* Mon Dec 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sipp.git;a=log;h=master

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> cd15e66
- distfiles friendly source0 url

* Fri Jun 14 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 3807eea
- hack to make sipp auto-answer OPTIONS messages

* Fri Jun 14 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> e6825a1
- Fixed crash in CSV statistics writer

* Fri May 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> aaa207f
- Version: 3.3

* Mon Jan 16 2012 lisu <lisu@pld-linux.org> 8e3778e
- no more separated libtinfo(w)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9807cf9
- release 5

* Mon Apr 04 2011 Jacek Konieczny <jajcus@pld-linux.org> 5177b8e
- link with libtinfo (needed for the new ncurses)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> a69fb75
- release 4

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bf8401e
- release 3

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> a7b961d
- release 2

* Thu Aug 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 13e500a
- fix build

* Thu Aug 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c19b985
- fix build for this one, too

* Tue Mar 04 2008 Jacek Konieczny <jajcus@pld-linux.org> babbdfd
- new spec

